Package org.apache.storm.hdfs.bolt.rotation

## Class TimedRotationPolicy

- java.lang.Object
- - org.apache.storm.hdfs.bolt.rotation.TimedRotationPolicy

- All Implemented Interfaces:
    `Serializable`, `FileRotationPolicy`

      public class TimedRotationPolicy
      extends Object
      implements FileRotationPolicy

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TimedRotationPolicy.TimeUnit` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `TimedRotationPolicy​(float count, TimedRotationPolicy.TimeUnit units)` |
    `protected` | `TimedRotationPolicy​(long interval)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileRotationPolicy` | `copy()` | Must be able to copy the rotation policy.
    `long` | `getInterval()` |
    `boolean` | `mark​(Tuple tuple, long offset)` | Called for every tuple the HdfsBolt executes.
    `void` | `reset()` | Called after the HdfsBolt rotates a file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimedRotationPolicy

          public TimedRotationPolicy​(float count,
                                     TimedRotationPolicy.TimeUnit units)

    - #### TimedRotationPolicy

          protected TimedRotationPolicy​(long interval)

  - ### Method Detail

    - #### mark

          public boolean mark​(Tuple tuple,
                              long offset)

      Called for every tuple the HdfsBolt executes.
      Specified by:
        `mark` in interface `FileRotationPolicy`
      Parameters:
        `tuple` - The tuple executed.
        `offset` - current offset of file being written
      Returns:
        true if a file rotation should be performed

    - #### reset

          public void reset()

      Called after the HdfsBolt rotates a file.
      Specified by:
        `reset` in interface `FileRotationPolicy`

    - #### copy

          public FileRotationPolicy copy()

      Description copied from interface: `FileRotationPolicy`
      Must be able to copy the rotation policy.
      Specified by:
        `copy` in interface `FileRotationPolicy`

    - #### getInterval

          public long getInterval()